\begin{tabular}{|l|l|l|l|l|c|c|}
\hline \multicolumn{3}{|c|}{Proof obligations } & \provername{CVC4 1.6} & \provername{Z3 4.8.6} \\ 
\hline
\explanation{eval\_setconjunction\_singleton} & & & \noresult& \valid{0.10} \\ 
\hline
\explanation{VC for eval\_commutes\_add}  & \explanation{variant decrease} & & \valid{0.17} & \noresult\\ 
\cline{2-4}
 & \explanation{postcondition} & & \valid{0.25} & \noresult\\ 
\hline
\explanation{add\_eval} & & & \valid{0.11} & \noresult\\ 
\hline
\explanation{eval\_clauselist\_top\_is\_conj\_eval\_clause\_top}  & \explanation{eval\_clauselist\_top\_is\_conj\_eval\_clause\_top.0}  &  & \valid{0.17} & \noresult\\ 
\cline{2-4}
 & \explanation{eval\_clauselist\_top\_is\_conj\_eval\_clause\_top.1}  &  & \valid{0.20} & \noresult\\ 
\hline
\explanation{eval\_clauselist\_bot\_is\_conj\_eval\_clause\_bot} & & & \valid{0.12} & \noresult\\ 
\hline
\explanation{VC for all\_x\_top\_then\_eval\_setconjunction\_top} & & & \valid{0.23} & \noresult\\ 
\hline
\explanation{VC for forall\_eval\_af\_bot\_exists\_eval\_af\_bot} & & & \valid{0.12} & \noresult\\ 
\hline
\explanation{VC for eval\_cl\_bot\_then\_exists\_eval\_clause\_bot} & & & \valid{0.21} & \noresult\\ 
\hline
\explanation{eval\_append} & & & \valid{0.23} & \noresult\\ 
\hline \end{tabular}
